
public interface javaSipEvents {
    void Registering(jSIPClient.SIP_Request req);
    void RegisterSuccesful(jSIPClient.SIP_Response resp);
    void RegisterFailed(jSIPClient.SIP_Response resp);
    void IncomingCall(jSIPClient.SIP_Request req, jSIPClient.SIP_Response resp);
    void RemoteHangUp(jSIPClient.SIP_Request req);
    void Ringing(jSIPClient.SIP_Response resp);
    void CalleePickup(jSIPClient.SIP_Response resp);
}
